module ast

fn test_expr() {
	println('Testing expression parsing...')

	mut p := &Parser{
		Tokenizer: Tokenizer{
			input: 'local hi string = "hola"'
		}
		env: &Environment{}
	}

	expr := p.expr() or {
		assert false, 'Expression parsing failed: $err'
		return
	}

	println('Parsed expression: $expr')
}
